<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package consult
 */
$consult_404_title = get_theme_mod( 'consult_404_title', '' );
$consult_404_subtitle = get_theme_mod( 'consult_404_subtitle', '' );
$consult_404_content = get_theme_mod( 'consult_404_content', '' );
$consult_404_btn_text = get_theme_mod( 'consult_404_btn_text', '' );

$consult_404_title = ( $consult_404_title ) ? $consult_404_title : esc_html__( '404', 'consult' );
$consult_404_subtitle = ( $consult_404_subtitle ) ? $consult_404_subtitle : esc_html__( 'Oops! Page Not Found!', 'consult' );
$consult_404_content = ( $consult_404_content ) ? $consult_404_content : esc_html__( 'We’re sorry but we can’t seem to find the page you requested. This might be because you have typed the web address incorrectly.', 'consult' );
$consult_404_btn_text = ( $consult_404_btn_text ) ? $consult_404_btn_text : esc_html__( 'Back to Home', 'consult' );

get_header();
?>
<section class="error-404-section section-padding">
		<div class="container">
				<div class="row">
						<div class="col col-xs-12">
								<div class="content clearfix">
										<div class="error">
												<h2><?php echo esc_html( $consult_404_title ); ?></h2>
										</div>
										<div class="error-message">
												<h3><?php echo esc_html( $consult_404_subtitle ); ?></h3>
												<p><?php echo esc_html( $consult_404_content ); ?></p>
												<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-btn-s2">
													<?php echo esc_html( $consult_404_btn_text ); ?> 
												</a>
										</div>
								</div>
						</div>
				</div> <!-- end row -->
		</div> <!-- end container -->
</section>
<?php
get_footer();
