<?php

define( 'CONSULT_CUSTOMIZER_CONFIG_ID', 'consult_customizer_settings' );
define( 'CONSULT_CUSTOMIZER_PANEL_ID', 'consult_customizer_panel' );

if ( class_exists( 'Kirki' ) ) {

	Kirki::add_config( CONSULT_CUSTOMIZER_CONFIG_ID, array(
		'capability'  => 'edit_theme_options',
		'option_type' => 'theme_mod',
	) );

	Kirki::add_panel( CONSULT_CUSTOMIZER_PANEL_ID, array(
		'priority'    => 40,
		'title'       => esc_html__( 'Consult Options', 'consult' ),
		'description' => esc_html__( 'Consult Settings', 'consult' ),
	) );

	Kirki::add_section( 'consult_homepage', array(
		'title'           => esc_html__( 'Consult Settings', 'consult' ),
		'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
		'priority'        => 160,
	) );


	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_homepage_display_preloader',
		'label'    => esc_html__( 'Display Preloader', 'consult' ),
		'section'  => 'consult_homepage',
		'default'  => '1',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Display', 'consult' ),
			'off' => esc_html__( 'Hide', 'consult' ),
		],
	] );


	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_homepage_display_search',
		'label'    => esc_html__( 'Display search option', 'consult' ),
		'section'  => 'consult_homepage',
		'default'  => '1',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Display', 'consult' ),
			'off' => esc_html__( 'Hide', 'consult' ),
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_hide_breadcrumbs',
		'label'    => esc_html__( 'Display Breadcrumbs', 'consult' ),
		'section'  => 'consult_homepage',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );

	// Topbar Section

		Kirki::add_section( 'consult_topbar_settings', array(
			'title'           => esc_html__( 'Topbar Settings', 'consult' ),
			'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
			'priority'        => 170,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'     => 'switch',
			'settings' => 'consult_topbar_widget_block',
			'label'    => esc_html__( 'Show Topbar widget', 'consult' ),
			'section'  => 'consult_topbar_settings',
			'default'  => '1',
			'priority' => 10,
			'choices'  => [
				'on'  => esc_html__( 'Display', 'consult' ),
				'off' => esc_html__( 'Hide', 'consult' ),
			],
		] );


		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'textarea',
		'settings' => 'consult_topbar_widget_block_left',
		'label'    => esc_html__( 'Topbar Left', 'consult' ),
		'section'  => 'consult_topbar_settings',
		'default'  => esc_html__( 'Topbar Left', 'consult' ),
		'priority' => 10,
		'active_callback' => [
			[
				'setting'  => 'consult_topbar_widget_block',
				'operator' => '==',
				'value'    => true
			]
		]
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'textarea',
		'settings' => 'consult_topbar_widget_block_right',
		'label'    => esc_html__( 'Topbar Right', 'consult' ),
		'section'  => 'consult_topbar_settings',
		'default'  => esc_html__( 'Topbar Right', 'consult' ),
		'priority' => 10,
		'active_callback' => [
			[
				'setting'  => 'consult_topbar_widget_block',
				'operator' => '==',
				'value'    => true
			]
		]
		] );

	// Header Section

	Kirki::add_section( 'consult_header', array(
		'title'           => esc_html__( 'Header Settings', 'consult' ),
		'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
		'priority'        => 180,
	) );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'        => 'radio-image',
		'settings'    => 'consult_header_layout_setting',
		'label'       => esc_html__( 'Header Layout Settings', 'consult' ),
		'section'     => 'consult_header',
		'default'     => 'style-one',
		'priority'    => 10,
		'choices'     => [
			'style-one'   => get_template_directory_uri() . '/assets/images/hs-1.png',
			'style-two' => get_template_directory_uri() . '/assets/images/hs-2.png',
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_header_sticky_setting',
		'label'    => esc_html__( 'Show Sticky Menu', 'consult' ),
		'section'  => 'consult_header',
		'default'  => '1',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Display', 'consult' ),
			'off' => esc_html__( 'Hide', 'consult' ),
		],
	] );
	// Blog Section

	Kirki::add_section( 'consult_blog', array(
		'title'           => esc_html__( 'Blog Settings', 'consult' ),
		'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
		'priority'        => 180,
	) );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'        => 'radio-image',
		'settings'    => 'consult_blog_layout_setting',
		'label'       => esc_html__( 'Blog Layout Settings', 'consult' ),
		'section'     => 'consult_blog',
		'default'     => 'right-sidebar',
		'priority'    => 10,
		'choices'     => [
			'left-sidebar'   => get_template_directory_uri() . '/assets/images/left.png',
			'hide-sidebar' => get_template_directory_uri() . '/assets/images/center.png',
			'right-sidebar'  => get_template_directory_uri() . '/assets/images/right.png',
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_display_user',
		'label'    => esc_html__( 'Display User', 'consult' ),
		'section'  => 'consult_blog',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );


	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_display_date',
		'label'    => esc_html__( 'Display Date', 'consult' ),
		'section'  => 'consult_blog',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_display_comment',
		'label'    => esc_html__( 'Display Comment', 'consult' ),
		'section'  => 'consult_blog',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'text',
		'settings' => 'consult_blog_display_readmore',
		'label'    => esc_html__( 'Read More Text', 'consult' ),
		'section'  => 'consult_blog',
		'default'  => esc_html__( 'Read More', 'consult' ),
		'priority' => 10,
	] );

	// Blog Single Section

	Kirki::add_section( 'consult_blog_single', array(
		'title'           => esc_html__( 'Blog Single Settings', 'consult' ),
		'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
		'priority'        => 190,
	) );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'        => 'radio-image',
		'settings'    => 'consult_blog_single_layout_setting',
		'label'       => esc_html__( 'Blog Single Layout Settings', 'consult' ),
		'section'     => 'consult_blog_single',
		'default'     => 'right-sidebar',
		'priority'    => 10,
		'choices'     => [
			'left-sidebar'   => get_template_directory_uri() . '/assets/images/left.png',
			'hide-sidebar' => get_template_directory_uri() . '/assets/images/center.png',
			'right-sidebar'  => get_template_directory_uri() . '/assets/images/right.png',
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_single_display_user',
		'label'    => esc_html__( 'Display User', 'consult' ),
		'section'  => 'consult_blog_single',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );


	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_single_display_date',
		'label'    => esc_html__( 'Display Date', 'consult' ),
		'section'  => 'consult_blog_single',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'switch',
		'settings' => 'consult_blog_single_display_comment',
		'label'    => esc_html__( 'Display Comment', 'consult' ),
		'section'  => 'consult_blog_single',
		'default'  => '0',
		'priority' => 10,
		'choices'  => [
			'on'  => esc_html__( 'Hide', 'consult' ),
			'off' => esc_html__( 'Display', 'consult' ),
		],
	] );

	// 404 Section

	Kirki::add_section( 'consult_404_section', array(
		'title'           => esc_html__( '404 Settings', 'consult' ),
		'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
		'priority'        => 200,
	) );


	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'text',
		'settings' => 'consult_404_title',
		'label'    => esc_html__( '404 Title', 'consult' ),
		'section'  => 'consult_404_section',
		'default'  => esc_html__( '404', 'consult' ),
		'priority' => 10,
		] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'text',
		'settings' => 'consult_404_subtitle',
		'label'    => esc_html__( '404 Sub Title', 'consult' ),
		'section'  => 'consult_404_section',
		'default'  => esc_html__( 'Oops! That page can’t be found.', 'consult' ),
		'priority' => 10,
		] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'textarea',
		'settings' => 'consult_404_content',
		'label'    => esc_html__( '404 Desctription', 'consult' ),
		'section'  => 'consult_404_section',
		'default'  => esc_html__( 'We’re sorry but we can’t seem to find the page you requested.', 'consult' ),
		'priority' => 10,
		] );

	Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'text',
		'settings' => 'consult_404_btn_text',
		'label'    => esc_html__( '404 Button Text', 'consult' ),
		'section'  => 'consult_404_section',
		'default'  => esc_html__( 'Back To Home', 'consult' ),
		'priority' => 10,
		] );

	// Footer Section

		Kirki::add_section( 'consult_footer_settings', array(
			'title'           => esc_html__( 'Footer Settings', 'consult' ),
			'panel'           => CONSULT_CUSTOMIZER_PANEL_ID,
			'priority'        => 210,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'     => 'switch',
			'settings' => 'consult_footer_widget_block',
			'label'    => esc_html__( 'Show Footer widget', 'consult' ),
			'section'  => 'consult_footer_settings',
			'default'  => '1',
			'priority' => 10,
			'choices'  => [
				'on'  => esc_html__( 'Display', 'consult' ),
				'off' => esc_html__( 'Hide', 'consult' ),
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'radio-image',
			'settings'    => 'consult_footer_widget_layout',
			'label'       => esc_html__( 'Blog Layout Settings', 'consult' ),
			'section'     => 'consult_footer_settings',
			'default'     => '4',
			'priority'    => 10,
			'choices'     => [
				'1'   => get_template_directory_uri() . '/assets/images/footer-1.png',
				'2' => get_template_directory_uri() . '/assets/images/footer-2.png',
				'3'  => get_template_directory_uri() . '/assets/images/footer-3.png',
				'4'  => get_template_directory_uri() . '/assets/images/footer-4.png',
			],
			'active_callback' => [
				[
					'setting'  => 'consult_footer_widget_block',
					'operator' => '==',
					'value'    => true
				]
			]
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'     => 'switch',
			'settings' => 'consult_footer_copy_write',
			'label'    => esc_html__( 'Show Footer Copywrite', 'consult' ),
			'section'  => 'consult_footer_settings',
			'default'  => '0',
			'priority' => 10,
			'choices'  => [
				'on'  => esc_html__( 'Hide', 'consult' ),
				'off' => esc_html__( 'Display', 'consult' ),
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
		'type'     => 'textarea',
		'settings' => 'consult_footer_copy_write_title',
		'label'    => esc_html__( 'Copywrite Title', 'consult' ),
		'section'  => 'consult_footer_settings',
		'default'  => esc_html__( 'Copywrite', 'consult' ),
		'priority' => 10,
		'active_callback' => [
			[
				'setting'  => 'consult_footer_copy_write',
				'operator' => '==',
				'value'    => false
			]
		]
		] );

		// Colors Setting

		Kirki::add_panel( 'consult_color_panel_id', array(
		    'priority'    => 40,
		    'title'       => esc_html__( 'Consult Color', 'consult' ),
		    'description' => esc_html__( 'Consult Color Settings', 'consult' ),
		) );

		Kirki::add_section( 'consult_color', array(
			'title'           => esc_html__( 'Topbar Color', 'consult' ),
			'description' => esc_html__( 'Topbar Color Settings', 'consult' ),
			'panel'          => 'consult_color_panel_id',
			'priority'        => 100,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_topbar_color',
			'label'       => esc_html__( 'Color', 'consult' ),
			'description' => esc_html__( 'Select Topbar Color.', 'consult' ),
			'section'     => 'consult_color',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_topbar_bg_color',
			'label'       => esc_html__( 'Background Color', 'consult' ),
			'description' => esc_html__( 'Select Topbar Background Color.', 'consult' ),
			'section'     => 'consult_color',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_topbar_icon_color',
			'label'       => esc_html__( 'Icon Color', 'consult' ),
			'description' => esc_html__( 'Select Topbar Icon Color.', 'consult' ),
			'section'     => 'consult_color',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		// Menu Color Settings
		Kirki::add_section( 'consult_menu_color_section', array(
			'title'           => esc_html__( 'Menu Color', 'consult' ),
			'description' => esc_html__( 'Menu Color Settings', 'consult' ),
			'panel'          => 'consult_color_panel_id',
			'priority'        => 100,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_menu_bg_color',
			'label'       => esc_html__( 'Menu Background Color', 'consult' ),
			'description' => esc_html__( 'Select Menu Background Color.', 'consult' ),
			'section'     => 'consult_menu_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_menu_color',
			'label'       => esc_html__( 'Menu Color', 'consult' ),
			'description' => esc_html__( 'Select Menu Color.', 'consult' ),
			'section'     => 'consult_menu_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_menu_search_color',
			'label'       => esc_html__( 'Search Color', 'consult' ),
			'description' => esc_html__( 'Select Menu Search Color.', 'consult' ),
			'section'     => 'consult_menu_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_menu_logo_color',
			'label'       => esc_html__( 'Logo Text Color', 'consult' ),
			'description' => esc_html__( 'Select Logo Txet Color.', 'consult' ),
			'section'     => 'consult_menu_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		// Page Title Settings
		Kirki::add_section( 'consult_title_color_section', array(
			'title'           => esc_html__( 'Title Color', 'consult' ),
			'description' => esc_html__( 'Title Color Settings', 'consult' ),
			'panel'          => 'consult_color_panel_id',
			'priority'        => 110,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_title_bg_color',
			'label'       => esc_html__( 'Title Background Color', 'consult' ),
			'description' => esc_html__( 'Select Title Background Color.', 'consult' ),
			'section'     => 'consult_title_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_title_color',
			'label'       => esc_html__( 'Title Color', 'consult' ),
			'description' => esc_html__( 'Select Title Color.', 'consult' ),
			'section'     => 'consult_title_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_breatcrumb_color',
			'label'       => esc_html__( 'Breatcrumb Color', 'consult' ),
			'description' => esc_html__( 'Select Breatcrumb Color.', 'consult' ),
			'section'     => 'consult_title_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		// Footer Settings
		Kirki::add_section( 'consult_footer_color_section', array(
			'title'           => esc_html__( 'Footer Color', 'consult' ),
			'description' => esc_html__( 'Footer Color Settings', 'consult' ),
			'panel'          => 'consult_color_panel_id',
			'priority'        => 110,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_footer_bg_color',
			'label'       => esc_html__( 'Footer Background Color', 'consult' ),
			'description' => esc_html__( 'Select Footer Background Color.', 'consult' ),
			'section'     => 'consult_footer_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_footer_copywrite_bg_color',
			'label'       => esc_html__( 'Copywrite Background Color', 'consult' ),
			'description' => esc_html__( 'Select Copywrite Background Color.', 'consult' ),
			'section'     => 'consult_footer_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'color',
			'settings'    => 'consult_Copywrite_color',
			'label'       => esc_html__( 'Copywrite Color', 'consult' ),
			'description' => esc_html__( 'Select Breatcrumb Color.', 'consult' ),
			'section'     => 'consult_footer_color_section',
			'default'     => '',
			'choices'     => [
				'alpha' => true,
			],
		] );



		// Typography Setting

		Kirki::add_panel( 'consult_typography_panel_id', array(
		    'priority'    => 40,
		    'title'       => esc_html__( 'Consult Typography', 'consult' ),
		    'description' => esc_html__( 'Consult Typography Settings', 'consult' ),
		) );

		Kirki::add_section( 'consult_typography', array(
			'title'           => esc_html__( 'Body Typography', 'consult' ),
			'description' => esc_html__( 'Body Typography Settings', 'consult' ),
			'panel'          => 'consult_typography_panel_id',
			'priority'        => 100,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'typography',
			'settings'    => 'consult_typography_setting',
			'label'       => esc_html__( 'Body Typography', 'consult' ),
			'section'     => 'consult_typography',
			'default'     => [
				'font-family'    => 'Roboto',
				'variant'        => 'regular',
				'font-size'      => '14px',
				'line-height'    => '1.5',
				'letter-spacing' => '0',
				'text-transform' => 'none',
				'text-align'     => 'left',
			],
			'priority'    => 10,
			'transport'   => 'auto',
			'output'      => [
				[
					'element' => 'body',
				],
			],
		] );

		Kirki::add_section( 'consult_title_typography', array(
			'title'           => esc_html__( 'Heading Typography', 'consult' ),
			'description' => esc_html__( 'Heading Typography Settings', 'consult' ),
			'panel'          => 'consult_typography_panel_id',
			'priority'        => 100,
		) );

		Kirki::add_field( CONSULT_CUSTOMIZER_CONFIG_ID, [
			'type'        => 'typography',
			'settings'    => 'consult_title_typography_setting',
			'label'       => esc_html__( 'Body Typography', 'consult' ),
			'section'     => 'consult_title_typography',
			'default'     => [
				'font-family'    => 'Playfair Display',
				'variant'        => 'regular',
				'font-size'      => '14px',
				'line-height'    => '1.5',
				'letter-spacing' => '0',
				'text-transform' => 'none',
				'text-align'     => 'left',
			],
			'priority'    => 10,
			'transport'   => 'auto',
			'output'      => [
				[
					'element' => 'h1,h2,h3,h4,h5,h6',
				],
			],
		] );


}