<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package consult
 */

$consult_blog_single_layout = get_theme_mod( 'consult_blog_single_layout_setting', '' );

// Sidebar Position
if ( $consult_blog_single_layout === 'hide-sidebar' ) {
	$blog_single_layout_class = 'col col-md-10 col-md-offset-1';
	$blog_single_sidebar_class = '';
	$blog_single_consult_sidebar_class = 'hide-sidebar';
} elseif ( $consult_blog_single_layout === 'left-sidebar' ) {
	$blog_single_layout_class = 'col col-md-8 col-md-push-4';
	$blog_single_sidebar_class = 'col col-md-4 col-md-pull-8';
	$blog_single_consult_sidebar_class = 'left-sidebar';
}  elseif ( !is_active_sidebar( 'sidebar-1'	) ) {
	$blog_single_layout_class = 'col col-md-12';
	$blog_single_sidebar_class = '';
	$blog_single_consult_sidebar_class = 'not-active-single-sidebar';
} else {
	$blog_single_layout_class = 'col col-md-8';
	$blog_single_sidebar_class = 'col col-md-4';
	$blog_single_consult_sidebar_class = 'right-sidebar';
}

get_header();
?>
<div id="site-content" class="blog-single-section section-padding">
	<div class="container">
		<div class="row">
			<div class="<?php echo esc_attr( $blog_single_layout_class ); ?>">
					<main id="primary" class="site-main">
						<?php
						while ( have_posts() ) :
							the_post();

							get_template_part( 'theme-layouts/post/content', 'single' );

							the_post_navigation(
								array(
									'prev_text' => '<span class="nav-subtitle">' . esc_html__( 'Previous:', 'consult' ) . '</span> <span class="nav-title">%title</span>',
									'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next:', 'consult' ) . '</span> <span class="nav-title">%title</span>',
								)
							);

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>

					</main><!-- #main -->
			</div>
			<?php
				if ( $consult_blog_single_layout !== 'hide-sidebar' && is_active_sidebar( 'sidebar-1' ) ) {
				 ?>
					<div class="<?php if ( isset( $blog_single_sidebar_class ) ) { echo esc_attr( $blog_single_sidebar_class ); } ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php 
				} 
			?>
		</div>
	</div>
</div>
<?php
get_footer();
