<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package consult
 */

$post_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$post_image_alt = get_post_meta($post_large_image, '_wp_attachment_image_alt', true);

$consult_display_readmore = get_theme_mod( 'consult_blog_display_readmore', '' );
$consult_read_text = $consult_display_readmore ? $consult_display_readmore : esc_html__( 'Read More', 'consult' );
$consult_display_comment = get_theme_mod( 'consult_blog_display_comment', '' );
$consult_display_date = get_theme_mod( 'consult_blog_display_date', '' );
$consult_display_user = get_theme_mod( 'consult_blog_display_user', '' );

// Sticky
$post_class = get_post_class();
$find_sticky = array_search( 'sticky', $post_class );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <?php  
    if ( $find_sticky ) {
        echo '<div class="sticky-badge"><h2>Featured</h2></div>';
    }
  ?>
	<div class="post format-standard-image">
		<?php if ( $post_large_image ) { ?>
	   <div class="entry-media">
	      <img src="<?php echo esc_url( $post_large_image[0] ); ?>" alt="<?php echo esc_attr( $post_image_alt ); ?>">
	  </div>
		<?php } ?>
    <ul class="entry-meta">
    		<?php if ( !$consult_display_user ) { ?>
					<li>
        	<?php 
           printf( esc_html__(' By:','consult') .' <a href="%1$s" rel="author">%2$s</a>',
              esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
              get_the_author()
            );
          ?>
         </li>
    		<?php }
    		if ( !$consult_display_date ) { ?>
        	<li><span><?php echo esc_html__( 'Date: ', 'consult' ); ?></span><?php echo esc_html( get_the_date() );  ?></li>
        <?php } 
        if ( !$consult_display_comment ) { ?>
	        <li>
	          <a class="consult-comment" href="<?php echo esc_url( get_comments_link() ); ?>">
	            <?php printf( esc_html( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'consult' ) ), number_format_i18n( get_comments_number() ),'<span>' . get_the_title() . '</span>' ); ?>
	          </a>
	        </li>
        <?php } ?>
    </ul>
    <h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
    <p><?php echo wp_trim_words( get_the_content(), 50); ?></p>
    <?php
		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'consult' ),
				'after'  => '</div>',
			)
		);?>
  <a href="<?php echo esc_url( get_permalink() ); ?>" class="theme-btn-s3"><?php echo esc_html( $consult_read_text ); ?></a>
</div>
</article><!-- #post-<?php the_ID(); ?> -->